<template>
  <div id="centerRight1">
    <div class="bg-color-black">
      <div class="d-flex pt-2 pl-2">
        <span>
          <icon name="chart-line" class="text-icon"></icon>
        </span>
        <div class="d-flex">
          <span >炉号分布</span>
        </div>
      </div>
      <div class="d-flex jc-center body-box">
        <dv-scroll-board class="dv-scr-board" :config="config" />
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      config: {
        header: ['库区','库排', '图号', '炉号'],
        data: [],
        rowNum: 7, //表格行数
        headerHeight: 35,
        headerBGC: '#0f1325', //表头
        oddRowBGC: '#0f1325', //奇数行
        evenRowBGC: '#171c33', //偶数行
        index: true,
        columnWidth: [70,70,80,100],
        align: ['center']
      }
    }
  },
  components: {},
  mounted() {
    this.GetLocationData();
    this.setData();
  },
  methods: {
    setData(){
      this.GetLocationData();
      setInterval(() => {
        this.GetLocationData()
      },100000)
    },
    GetLocationData(){
      var _this=this;
      this.data = [];
      this.$http.post("/api/Largescreen/Warehouse_area","查询中...").then((x)=>{
        let GetAGVTaskData = []
          x.data.forEach(element => {
            let data = [element.area,
             element.line,element.stationType,element.combined_heatNumber]
            GetAGVTaskData.push(data)
          });
          this.config.data = GetAGVTaskData
          this.config = {
            header: ['库区','库排', '图号', '炉号'],
            data: GetAGVTaskData,
            rowNum: 10, //表格行数
            headerHeight: 35,
            headerBGC: '#0f1325', //表头
            oddRowBGC: '#0f1325', //奇数行
            evenRowBGC: '#171c33', //偶数行
            index: true,
            columnWidth: [85,85,90,100],
            align: ['center'],
          }
      }).catch((x)=>{
        console.log(x);
      })
    },
  }
}
</script>

<style lang="scss" scoped>
$box-height: 410px;
$box-width: 630px;
#centerRight1 {
  padding: 10px;
  padding-top: 20px;
  
  height: $box-height;
  width: $box-width;
  border-radius: 5px;
  .bg-color-black {
    height: $box-height - 30px;
    border-radius: 10px;
  }
  .text {
    color: #c3cbde;
  }
  
  .body-box {
    border-radius: 10px;
    overflow: hidden;
    .dv-scr-board {
       width: 100%;
      height: 340px;
    }
  }
}

</style>
